POST Public/api/DiscountCreate
The entry point for creating links to discount groups
Request Information
URI Parameters
None.
Body Parameters
DiscountCreateRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| AuthToken |
Your unique partner identification token |
globally unique identifier |
Required |
| Group |
The group you wish to add the link to |
Group |
Required |
| Link |
The link you wish to add |
Link |
Required |
Request Formats
application/json, text/json
Sample:
{
"authToken": "31fb2ef9-09ad-43ac-8b08-3d395dcb1a1e",
"group": {
"uid": "2cd20eff-28b0-44bb-ba0d-caf0b1049206"
},
"link": {
"name": "sample string 1",
"external_UID": "sample string 2",
"use_Time_Left": 1
}
}
application/xml, text/xml
Sample:
<DiscountCreateController.DiscountCreateRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/HuurayV3.Controllers">
<AuthToken>31fb2ef9-09ad-43ac-8b08-3d395dcb1a1e</AuthToken>
<Group>
<UID>2cd20eff-28b0-44bb-ba0d-caf0b1049206</UID>
</Group>
<Link>
<External_UID>sample string 2</External_UID>
<Name>sample string 1</Name>
<Use_Time_Left>1</Use_Time_Left>
</Link>
</DiscountCreateController.DiscountCreateRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Object containing the URI of the created link, along with information the partner and group
DiscountCreateResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| URI |
The URI to activate the newly created link |
URI | |
| AuthToken |
Your unique partner identification token |
globally unique identifier |
Required |
| Group |
The group you wish to add the link to |
Group |
Required |
| Link |
The link you wish to add |
Link |
Required |
Response Formats
application/json, text/json
Sample:
{
"uri": {
"scheme": "sample string 1",
"host": "sample string 2",
"path": "sample string 3",
"queryString": "sample string 4",
"fullPath": "sample string 5"
},
"authToken": "a3cb3847-c71c-42f8-862e-44321bec46ec",
"group": {
"uid": "132c79f4-1122-4406-9b05-60a30634c433"
},
"link": {
"name": "sample string 1",
"external_UID": "sample string 2",
"use_Time_Left": 1
}
}
application/xml, text/xml
Sample:
<DiscountCreateController.DiscountCreateResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/HuurayV3.Controllers">
<AuthToken>a3cb3847-c71c-42f8-862e-44321bec46ec</AuthToken>
<Group>
<UID>132c79f4-1122-4406-9b05-60a30634c433</UID>
</Group>
<Link>
<External_UID>sample string 2</External_UID>
<Name>sample string 1</Name>
<Use_Time_Left>1</Use_Time_Left>
</Link>
<URI>
<FullPath>sample string 5</FullPath>
<Host>sample string 2</Host>
<Path>sample string 3</Path>
<QueryString>sample string 4</QueryString>
<Scheme>sample string 1</Scheme>
</URI>
</DiscountCreateController.DiscountCreateResponse>